/*********************************************************************************
Date: 8/2011
Purpose: macro for rounding results in the tables.  Values are rounded to 2 
		informative digits.  The macro also formats the results to Est(LL,UL).
Created by: Sheena Sullivan 
*********************************************************************************/
%let workdir= C:\Users\sullivsh\Dropbox\Bayes\SAS; *assign your own directory;
libname bayes "&workdir";
libname mymacs "&workdir";
options mstored sasmstore=mymacs;

%macro rounding1(or,ll,ul,outvar) / store;
	or_&outvar=put(&or,8.0);
	if abs(&LL)>=1 then ll_&outvar=put(&LL,8.0);
	if abs(&LL)<1 then ll_&outvar=put(&LL,8.1);
	if abs(&LL)<0.5 then ll_&outvar=put(&LL,8.2);
	if abs(&LL)<0.05 then ll_&outvar=put(&LL,8.3);
	if abs(&LL)<0.01 then ll_&outvar=put(&LL,8.3);
	if abs(&UL)>=1 then ul_&outvar=put(&UL,8.0);
	if abs(&UL)<1 then ul_&outvar=put(&UL,8.1);
	if abs(&UL)<0.5 then ul_&outvar=put(&UL,8.2);
	if abs(&UL)<0.05 then ul_&outvar=put(&UL,8.3);
	if abs(&UL)<0.01 then ul_&outvar=put(&UL,8.3);
	&outvar = (trim(left(or_&outvar))) || ' (' || trim(left(ll_&outvar)) || ',' || trim(left(ul_&outvar)) || ')';
	%mend;
%macro rounding2(or,ll,ul,outvar) / store;
	if abs(&or)<1 then or_&outvar=put(&or,8.2);
	if abs(&or)<0.01 then or_&outvar=put(&or,8.3);
	if abs(&or)>=1 then or_&outvar=put(&or,8.1);
	if abs(&or)>=10 then or_&outvar=put(&or,8.0);

	if abs(&ll)<1 then ll_&outvar=put(&ll,8.2);
	if abs(&ll)<0.05 then ll_&outvar=put(&ll,8.3);
	if abs(&ll)<0.01 then ll_&outvar=put(&ll,8.3);
	if abs(&ll)>=1 then ll_&outvar=put(&ll,8.1);
	if abs(&ll)>=10 then ll_&outvar=put(&ll,8.0);

	if abs(&ul)<1 then ul_&outvar=put(&ul,8.2);
	if abs(&ul)<0.05 then ul_&outvar=put(&ul,8.3);
	if abs(&ul)<0.01 then ul_&outvar=put(&ul,8.3);
	if abs(&ul)>=1 then ul_&outvar=put(&ul,8.1);
	if abs(&ul)>=10 then ul_&outvar=put(&ul,8.0);

	&outvar = (trim(left(or_&outvar))) || ' (' || trim(left(ll_&outvar)) || ',' || trim(left(ul_&outvar)) || ')';
	%mend;
